VoCore2 kernel drivers

CuriousCat
 
Posts: 5
Joined: Thu Mar 21, 2019 6:51 pm

VoCore2 kernel drivers

Wed May 08, 2019 7:15 pm

I upgraded my VoCore2 Ultimate to the latest firmware (20190422.bin), then tried to use a USB modem. It did not properly detect -- I think because the right kernel modules are not included by default. So, I try to apply them via "okpg":

Code: Select all
root@OpenWrt:~# opkg install kmod-usb-acm
Installing kmod-usb-acm (4.14.95-1) to root...
Downloading http://downloads.openwrt.org/releases/18.06.2/targets/ramips/mt76x8/packages/kmod-usb-acm_4.14.95-1_mipsel_24kc.ipk
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-usb-acm:
 *      kernel (= 4.14.95-1-fa0ac614032ecce6935c8737b30999bb)
 * opkg_install_cmd: Cannot install package kmod-usb-acm.


What are my options here? Is there a way to get the kernel modules from a vocore specific branch somehow?

Vonger
 
Posts: 762
Joined: Sun Oct 19, 2014 6:00 am

Re: VoCore2 kernel drivers

Wed May 15, 2019 12:41 am

If you want to use kernel module, have to compile from openwrt source code(check github.com/vonger/vocore2)
It is because linux improve its secure, so you can not instill kernel driver compiled by other people, it will taint kernel.

Return to VoCore2/Lite/Ultimate

Who is online

Users browsing this forum: No registered users and 4 guests